07 марта 2012

Вышел релиз Wine 1.4 (Stable)


После 20 месяцев разработки была выпущена новая стабильная версия Wine 1.4. Был переписан новый графический движок аудио стека DIB, который может использовать Gstreamer, полную поддержку двунаправленного текста, поддержка ARM и многое другое. Есть также много новых поддерживаемых приложений, например, Microsoft Office 2010.

Полный список изменений можно посмотреть на ЭТОЙ странице.

 Для пользователей Ubuntu 11.10/11.04/10.10 и 10.04 еще не доступен репозиторий Wine 1.4, но он должн выйти в ближайшее время. Если вы не хотите ждать, то можете установить релиз-кандидат Wine 1.4 с помощью команд ниже:

sudo add-apt-repository ppa:ubuntu-wine/ppa

sudo apt-get update

sudo apt-get install wine1.3

Пакет называется "Wine 1.3", потому что когда выйдет репозиторий, пакет обновиться до Wine 1.4.

Wine 1.4 будет доступен в репозиториях Ubuntu 12.04. Если вы уже используете Ubuntu 12.04, то нет необходимости добавлять сейчас репозиторий, при установке пакета Wine, должена установиться последняя версия Wine 1.4 (RC6).

Скачать пакет Winw 1.4 можно по ссылке ниже:

 Download Wine 1.4

Удачи.

13 комментариев :

  1. Есть такой инструмент Q4Wine — графическая утилита для автоматизации и упрощения работы с WINE.
    Установил.
    На 3м шаге просит указать
    - wine bin: /usr/bin/wine
    - wine server: /usr/bin/wineserver
    - wine loader: /usr/bin/wine
    - wine libs:
    Никто не подскажет последний путь?

    ОтветитьУдалить
  2. Пытаюсь установить вине но не как не хочет устанавливать на 12.10.Вот что пишет Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
    или же используете нестабильную версию дистрибутива, где запрошенные вами
    пакеты ещё не созданы или были удалены из Incoming.
    Следующая информация, возможно, поможет вам:

    Пакеты, имеющие неудовлетворённые зависимости:
    wine1.3 : Зависит: wine1.4 но он не будет установлен
    E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
    china@ubuntu:~$ sudo apt-get install wine1.4
    Чтение списков пакетов… Готово
    Построение дерева зависимостей
    Чтение информации о состоянии… Готово
    Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
    или же используете нестабильную версию дистрибутива, где запрошенные вами
    пакеты ещё не созданы или были удалены из Incoming.
    Следующая информация, возможно, поможет вам:

    Пакеты, имеющие неудовлетворённые зависимости:
    wine1.4 : Зависит: wine1.4-i386 (= 1.4.1-0ubuntu1) но он не может быть установлен
    Рекомендует: gnome-exe-thumbnailer но он не будет установлен или
    kde-runtime но он не будет установлен
    Рекомендует: ttf-droid
    Рекомендует: ttf-mscorefonts-installer но он не будет установлен
    Рекомендует: ttf-umefont но он не будет установлен
    Рекомендует: ttf-unfonts-core но он не будет установлен
    Рекомендует: winbind но он не будет установлен
    Рекомендует: winetricks но он не будет установлен
    E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

    ОтветитьУдалить
  3. Невозможно исправить ошибки, у вас отложены (held) битые пакеты
    Как с это исправить.

    ОтветитьУдалить
    Ответы
    1. Уже есть более свежая версия: http://compizomania.blogspot.com.es/2012/08/wine-1510-ubuntulinux-mint.html. Попробуй установить её.

      Удалить
  4. Пробовал та же ошибка в терминале Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

    ОтветитьУдалить
    Ответы
    1. Сделай следующее. Перезагрузи компьютер. Когда откроется меню загрузчика GRUB, клавишей со стрелкой вниз перейди в Режим восстановления (Recovere mode) и нажми Enter. Откроется другое меню, где нужно выбрать строку Geld packetes, нажми Eynter и жди когда терминал закончит операцию. Далее будет предложено загрузится нормально. Согласись и после загрузки системы повтори установку Wine.

      Удалить
  5. Доброго времени суток всем присутствующим!
    Стесняюсь спросить, но вот не задача с организацией двух команд для Wine 1.4 - "Stop Wine" и "Restart Wine".
    Дело в том, что после установки программ, библиотек и компонентов winetricks, как и в обычном windows, желательно, перезапустить Wine, чтобы все установленные компоненты нормально заработали. Как-то не удобно каждый раз перезапускать всю систему.
    Подскажите, как эти команды изобразить в терминале "Stop Wine" и "Restart Wine".

    ОтветитьУдалить
    Ответы
    1. Последнюю команду поменяйте на sudo apt-get install wine1.7... Или 1.6, точно не в курсе какая щас стабильная. По теме не знаю, как-то не задавался таким вопросом.

      Удалить
  6. Всё, спасибо, нашёл другое решение. Вычистил весь wine 1.4, не стал заморачиваться более новыми и установил wine@etersoft local вер. 2.1.3. Как мне показалось, он лучше, чем wine hq. В нём уже всё есть. После установки, практически уже полностью, готов к работе, если не требуются какие-либо специфические супер навороты. И там есть файл wineserver, который, с атрибутом -к прерывает работу любой программы и останавливает работу wine. Неплохая альтернатива wine hq. Проверил на игрушках "NFS Most Wanted", "Call of Duty" - без проблем. Никаких тормозов или подвисаний. Конечно, надо понимать, что не всё зависит от ПО. Конфигурация самого ПК тоже имеет значение.
    Если кому интересно, то можно ознакомиться на сайте "http://etersoft.ru/". После простенькой регистрации, на указанный eMail, предоставляются все необходимые ссылки для скачивания deb пакетов, плюс файл-ключ лицензии на 1 ПК,на 15 лет. ПЛАТИТЬ НЕ НАДО.

    ОтветитьУдалить
    Ответы
    1. Забыл как выглядит винда..Честное слово..Чего такого нет в линуксе ,что есть в винде ? Вайн не вайн..А оно надо ?

      Удалить
    2. Смахивает на рекламу... Может я параноик.

      Удалить
    3. У меня в вайне только две программы: игра злые птицы, и плеер foobar2000. Обе нужны только чтоб вайн не был пустой. Фубаром раньше пользовался чтоб исправлять крокозябры в mp3 тегах, лучшего решения под линуксом не видел. Щас просто стоит чтоб был

      Удалить
    4. Касательно вопроса "Чего такого нет в линуксе ,что есть в винде ?", ну к примеру:
      - в Linux я не могу настроить свой сканер "HP G2410". Нет нормальных драйверов.
      - для Linux нет полноценного аналога программы "Adobe Acrobat Reader", а есть по отдельности Acroread, pdfsam и др. А это не одно и тоже.
      - для linux не нормального графического редактора для работы с файлами Microsoft Visio. Формат *.vsd поддерживается программой "StarDraw" при открытии, но файл открывается с искажениями, и обратно сохранения в это же формат невозможно. Конечно, есть программы конверторы, но это лишние движения. И нет гарантий, что другие пользователи MS Windows (офисные крысы), которые вообще ничего не знают про Linux, смогут нормально полноценно открыть в Visio с конвертированный файл.
      - ну и ещё есть много всяких разных мелочей, которые пока не поддерживаются в Linux. Всё перечислять слишком долго.
      Так, что господа, надо признать, что для некоторых юзеров без Wine или нормального Windows, установленного в VirtualBox, пока не получается обойтись.
      С удовольствием перевёл бы весь мир на Linux, но увы .....

      Удалить